VERSION := 0.2.0

BIN_FILENAME = landerctl

BUILD_DIR      = build
SRC_DIR        = src
TEST_DIR       = test

INC_DIRS  = include
LIBS      ?= magic curl
LIB_DIRS  = 

# -MMD: generate a .d file for every source file. This file can be imported by
#  make and makes make aware that a header file has been changed, ensuring an
#  object file is also recompiled if only a header is changed.
# -MP: generate a dummy target for every header file (according to the  docs it
#  prevents some errors when removing header files)
CFLAGS ?= -MMD -MP -g

# When compiling release builds, these flags are better
# CLAGS = -O3
# LDFLAGS = -flto
