#ifndef LNM_LOG_INTERNAL
#define LNM_LOG_INTERNAL

#include "lnm/log.h"

typedef enum lnm_logger_stream_type {
  lnm_logger_stream_type_file = 0
} lnm_logger_stream_type;

typedef struct lnm_logger_stream {
  void *ptr;
  lnm_logger_stream_type type;
  lnm_log_level level;
} lnm_logger_stream;

struct lnm_logger {
  struct {
    lnm_logger_stream **arr;
    size_t len;
  } streams;
};

lnm_err lnm_logger_stream_register(lnm_logger *logger,
                                   lnm_logger_stream *stream);

#endif
